# -*- coding: euc-kr -*-
import wx, easyhanrss

class MyFrame(wx.Frame):
	def __init__(self, parent, id, title):
		wx.Frame.__init__(self, parent, id, title, wx.DefaultPosition, (350, 160))

		test = easyhanrss.conhan('nakada@nate.com','wow0909')
		zone_list = []
		for k in range(len(test)):
			zone_list.append(unicode(test[k],'utf-8'))

		vbox = wx.BoxSizer(wx.VERTICAL)
		hbox1 = wx.BoxSizer(wx.HORIZONTAL)
		hbox3 = wx.BoxSizer(wx.HORIZONTAL)
		
		panel = wx.Panel(self, -1)

		# time_zones  Ʈ ڽ...zone_list ڵ Ͽ ߰
		self.time_zones = wx.ListBox(panel, 26, wx.DefaultPosition, (340, 100), zone_list, wx.LB_SINGLE)
		#                    (self, parent, id, pos,                 size,      choices,    style, validator, name) 
		# Insert(self, item, pos, clientData=None)
		self.time_zones.SetSelection(0)

		btn = wx.Button(panel, wx.ID_CLOSE, 'Close')

		# ()4° ڰ 󸶳  ϴ°
		hbox1.Add(self.time_zones, 0, wx.TOP, 5)
		hbox3.Add(btn, 0, wx.TOP, 3)

		vbox.Add(hbox1, 0, wx.ALIGN_TOP)
		vbox.Add(hbox3, 1, wx.ALIGN_TOP)
		panel.SetSizer(vbox)

		#̺Ʈ óκ
		self.Bind(wx.EVT_BUTTON, self.OnClose, id=wx.ID_CLOSE)
		self.Bind(wx.EVT_LISTBOX, self.OnSelect, id=26)

	def OnClose(self, event):
		self.Close()

	def OnSelect(self, event):
		index = event.GetSelection()
		time_zone = self.time_zones.GetString(index)
#		self.diff = self.time_diff[time_zone]

class MyApp(wx.App):
	def OnInit(self):
		frame = MyFrame(None, -1, 'test box')
		frame.Centre()
		frame.Show(True)
		return True

app = MyApp(0)
app.MainLoop()
